[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#505185: ITP: libweakref-perl -- API to the Perl weak references

Le Mon, Nov 10, 2008 at 02:30:54PM +0100, Dominique Dumont a écrit :
> Charles Plessy <plessy@debian.org> writes:
> > This is a dependancy of libace-perl (ITP #468760), which is a dependancy of
> > BioPerl.
> >
> > Is the Debian Perl group interested in hosting this package? Otherwise we will
> > host it in Debian Med.
> WeakRef is obsolete.
> The weaken and isweak functions are now provided by Scalar::Util which
> is part of core perl since perl 5.007003.
> Debian Med programmers should change "use WeakRef" to something like
> "use Scalar::Util qw/weaken/".

Thanks for the hint, I will contact Upstream about this issue.

Have a nice day,

Charles Plessy
Debian Med packaging team,
Tsurumi, Kanagawa, Japan

Reply to: